Runtime

## org.eclipse.gmf.runtime.notation
Interface TitleStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Compartment, ListCompartment, SemanticListCompartment

All Known Implementing Classes:
  CompartmentImpl, ListCompartmentImpl, SemanticListCompartmentImpl, TitleStyleImpl

    public interface TitleStyle

extends Style

A representation of the model object 'Title Style'.

The title style is a style to be installed on views that have a title

The following features are supported:

- `Show Title`

See Also:
  `NotationPackage.getTitleStyle()`
** Generated **
Model:

Method Summary
`boolean` `isShowTitle()` Returns the value of the 'Show Title' attribute.
`void` `setShowTitle(boolean value)` Sets the value of the '`Show Title`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isShowTitle

    boolean isShowTitle()

  Returns the value of the 'Show Title' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Show Title' attribute.
  See Also:
    `setShowTitle(boolean)`, `NotationPackage.getTitleStyle_ShowTitle()`
  ** Generated **
  Model:
    default="false"

### setShowTitle

    void setShowTitle(boolean value)

  Sets the value of the '`Show Title`' attribute.

  Parameters:
    `value` - the new value of the 'Show Title' attribute.
  See Also:
    `isShowTitle()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.